<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('discord_access_tokens', function (Blueprint $table) {
            $table->string('access_token', 300)->change();
            $table->string('refresh_token', 300)->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('discord_access_tokens', function (Blueprint $table) {
            $table->string('access_token')->change(); // back to default (255)
            $table->string('refresh_token')->change(); // back to default (255)
        });
    }
};
